Commit afc328a7 authored by Paul Berry's avatar Paul Berry
Browse files

Transform feedback: skip "order" tests when GL version < 3.0



The EXT_transform_feedback/order tests use glUniform1ui, which is not
supported before OpenGL 3.0.  So, if the implementation supports
transform feedback but does not support OpenGL 3.0, skip these tests.
Reviewed-by: Emma Anholt's avatarEric Anholt <eric@anholt.net>
parent 55ba28f4
......@@ -133,6 +133,7 @@ initialize_shader_and_xfb()
{
GLuint vs;
piglit_require_gl_version(30);
piglit_require_GLSL_version(130);
piglit_require_transform_feedback();
vs = piglit_compile_shader_text(GL_VERTEX_SHADER, vstext);
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment